
module Biobase.RNAstrand where

import Data.ByteString.Char8 as BS



-- | RNAstrand Dot-bracket files contain a sequence and a secondary structure,
-- possibly with pseudoknots. In addition, comments are possible using "#".

data RNAstrand = RNAstrand
  { sequence  :: !ByteString
  , structure :: !ByteString
  , comments  :: ![ByteString]
  } deriving (Read,Show)
